Bug 849009 - [xfs] Installing virtual machine hangs on xfs filesystem.
[xfs] Installing virtual machine hangs on xfs filesystem.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 00:06 EDT by Gowrishankar Rajaiyan
Modified: 2013-10-25 16:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 16:55:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/libvirt/qemu/<domain>.log (18.89 KB, text/plain)
2012-08-17 00:10 EDT, Gowrishankar Rajaiyan
no flags Details

  None (edit)
Description Gowrishankar Rajaiyan 2012-08-17 00:06:24 EDT
Description of problem:
While installing a virtual machine on a xfs filesystem configured as a storage domain local on host hangs.

Version-Release number of selected component (if applicable):
kernel-2.6.32-279.el6.x86_64
libvirt-0.10.0-0rc0.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
vdsm-4.9.6-28.0.el6_3.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Format a partition with xfs filesystem and mount it.
2. Configure this mount as a storage domain local on host.
3. Install virtual machine (RHEL6.2.z in this case)
  
Actual results: The installation hangs.

Expected results: The installation should complete successfully.


Additional info:

Aug 16 21:41:08 inception kernel: rhevm: port 2(vnet0) entering forwarding state
Aug 16 21:41:11 inception ntpd[1845]: Listening on interface #6 vnet0, fe80::fc1a:4aff:fe46:22b0#123 Enabled
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:8583 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000000     0  8583      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff88042471bbb8 0000000000000082 ffff8804335c2980 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff880425c265f8 ffff88042471bfd8 000000000000fb88 ffff880425c265f8
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:8625 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 000000000000000d     0  8625      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff8808340f9e18 0000000000000082 00007fd53aad3000 ffff8804335c2980
Aug 16 21:47:16 inception kernel: 0000000000000ea0 0000000009c5772e ffff880400000000 0000000000000000
Aug 16 21:47:16 inception kernel: ffff88083391a5f8 ffff8808340f9fd8 000000000000fb88 ffff88083391a5f8
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff810923be>] ? prepare_to_wait+0x4e/0x80
Aug 16 21:47:16 inception kernel: [<ffffffffa0279815>] xfs_ioend_wait+0x85/0xc0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffffa027dec8>] xfs_file_fsync+0xa8/0x270 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff811a9fd1>] vfs_fsync_range+0xa1/0xe0
Aug 16 21:47:16 inception kernel: [<ffffffff811aa07d>] vfs_fsync+0x1d/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff811aa0be>] do_fsync+0x3e/0x60
Aug 16 21:47:16 inception kernel: [<ffffffff811aa0f3>] sys_fdatasync+0x13/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:8628 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000012     0  8628      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff88082f38bbb8 0000000000000082 ffff8804335c2980 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff88082cde65f8 ffff88082f38bfd8 000000000000fb88 ffff88082cde65f8
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff81062f75>] ? enqueue_entity+0x125/0x410
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:8630 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000006     0  8630      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff88082eb35bb8 0000000000000082 ffff8804335c2980 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff880833f61098 ffff88082eb35fd8 000000000000fb88 ffff880833f61098
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:8633 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000006     0  8633      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff88082f439bb8 0000000000000082 ffff8804335c2980 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff880828a43ab8 ffff88082f439fd8 000000000000fb88 ffff880828a43ab8
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff81062f75>] ? enqueue_entity+0x125/0x410
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:9309 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000012     0  9309      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff8803c3801bb8 0000000000000082 ffff8804335c2980 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff88042d2cc638 ffff8803c3801fd8 000000000000fb88 ffff88042d2cc638
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:9724 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000000     0  9724      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff88082cfb1bb8 0000000000000082 0000000000000000 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff88083391b058 ffff88082cfb1fd8 000000000000fb88 ffff88083391b058
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:47:16 inception kernel: INFO: task qemu-kvm:9733 blocked for more than 120 seconds.
Aug 16 21:47:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:47:16 inception kernel: qemu-kvm      D 0000000000000003     0  9733      1 0x00000080
Aug 16 21:47:16 inception kernel: ffff88082f19fbb8 0000000000000082 0000000000000000 00000000ffffffff
Aug 16 21:47:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:47:16 inception kernel: ffff880833a8b058 ffff88082f19ffd8 000000000000fb88 ffff880833a8b058
Aug 16 21:47:16 inception kernel: Call Trace:
Aug 16 21:47:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:47:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:47:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:47:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:47:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:47:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:47:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:47:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:47:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:47:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:47:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:47:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:47:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:47:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:49:16 inception kernel: INFO: task qemu-kvm:8583 blocked for more than 120 seconds.
Aug 16 21:49:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:49:16 inception kernel: qemu-kvm      D 0000000000000000     0  8583      1 0x00000080
Aug 16 21:49:16 inception kernel: ffff88042471bbb8 0000000000000082 ffff8804335c2980 00000000ffffffff
Aug 16 21:49:16 inception kernel: 0000000000016680 ffff8804335c2980 00000000ffffffff ffff8804335c2980
Aug 16 21:49:16 inception kernel: ffff880425c265f8 ffff88042471bfd8 000000000000fb88 ffff880425c265f8
Aug 16 21:49:16 inception kernel: Call Trace:
Aug 16 21:49:16 inception kernel: [<ffffffff814fee8e>] __mutex_lock_slowpath+0x13e/0x180
Aug 16 21:49:16 inception kernel: [<ffffffff814fed2b>] mutex_lock+0x2b/0x50
Aug 16 21:49:16 inception kernel: [<ffffffffa027ddc6>] xfs_rw_ilock+0x26/0x40 [xfs]
Aug 16 21:49:16 inception kernel: [<ffffffffa027ed3a>] xfs_file_dio_aio_write+0xea/0x2b0 [xfs]
Aug 16 21:49:16 inception kernel: [<ffffffffa027f5c6>] xfs_file_aio_write+0x2d6/0x2e0 [xfs]
Aug 16 21:49:16 inception kernel: [<ffffffff810a43fe>] ? futex_wake+0x10e/0x120
Aug 16 21:49:16 inception kernel: [<ffffffff8117ad6a>] do_sync_write+0xfa/0x140
Aug 16 21:49:16 inception kernel: [<ffffffff81083a12>] ? send_signal+0x42/0x80
Aug 16 21:49:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:49:16 inception kernel: [<ffffffff81083e26>] ? group_send_sig_info+0x56/0x70
Aug 16 21:49:16 inception kernel: [<ffffffff8121fd8b>] ? selinux_file_permission+0xfb/0x150
Aug 16 21:49:16 inception kernel: [<ffffffff81213136>] ? security_file_permission+0x16/0x20
Aug 16 21:49:16 inception kernel: [<ffffffff8117b068>] vfs_write+0xb8/0x1a0
Aug 16 21:49:16 inception kernel: [<ffffffff810d69e2>] ? audit_syscall_entry+0x272/0x2a0
Aug 16 21:49:16 inception kernel: [<ffffffff8117bb42>] sys_pwrite64+0x82/0xa0
Aug 16 21:49:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Aug 16 21:49:16 inception kernel: INFO: task qemu-kvm:8625 blocked for more than 120 seconds.
Aug 16 21:49:16 inception kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Aug 16 21:49:16 inception kernel: qemu-kvm      D 000000000000000d     0  8625      1 0x00000080
Aug 16 21:49:16 inception kernel: ffff8808340f9e18 0000000000000082 00007fd53aad3000 ffff8804335c2980
Aug 16 21:49:16 inception kernel: 0000000000000ea0 0000000009c5772e ffff880400000000 0000000000000000
Aug 16 21:49:16 inception kernel: ffff88083391a5f8 ffff8808340f9fd8 000000000000fb88 ffff88083391a5f8
Aug 16 21:49:16 inception kernel: Call Trace:
Aug 16 21:49:16 inception kernel: [<ffffffff810923be>] ? prepare_to_wait+0x4e/0x80
Aug 16 21:49:16 inception kernel: [<ffffffffa0279815>] xfs_ioend_wait+0x85/0xc0 [xfs]
Aug 16 21:49:16 inception kernel: [<ffffffff810920d0>] ? autoremove_wake_function+0x0/0x40
Aug 16 21:49:16 inception kernel: [<ffffffffa027dec8>] xfs_file_fsync+0xa8/0x270 [xfs]
Aug 16 21:49:16 inception kernel: [<ffffffff811a9fd1>] vfs_fsync_range+0xa1/0xe0
Aug 16 21:49:16 inception kernel: [<ffffffff811aa07d>] vfs_fsync+0x1d/0x20
Aug 16 21:49:16 inception kernel: [<ffffffff811aa0be>] do_fsync+0x3e/0x60
Aug 16 21:49:16 inception kernel: [<ffffffff811aa0f3>] sys_fdatasync+0x13/0x20
Aug 16 21:49:16 inception kernel: [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
Comment 1 Gowrishankar Rajaiyan 2012-08-17 00:10:37 EDT
Created attachment 605069 [details]
/var/log/libvirt/qemu/<domain>.log
Comment 3 Dave Chinner 2012-08-19 19:21:45 EDT
It's blocked waiting for an I/O to complete (threads sitting in xfs_ioend_wait()). Somewhere in the IO stack below XFS an I/O has been lost - it doesn't look like an XFS problem at all....
Comment 4 Dave Wysochanski 2012-08-29 16:46:31 EDT
Can you please take a core from the system that hangs?  If it's KVM it should be easy - you can do "virsh dump <id>" in the host.
Comment 5 RHEL Product and Program Management 2012-12-14 03:25:24 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Gowrishankar Rajaiyan 2013-04-04 02:55:45 EDT
Unfortunately I could not hit this again.
Comment 7 Ric Wheeler 2013-10-25 16:55:26 EDT
If  you can reproduce, we can reopen this.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.